Summary:	A library that performs asynchronous DNS operations
Summary(pl.UTF-8):	Biblioteka do wykonywania asynchronicznych zapytań DNS
Name:		c-ares
Version:	1.18.1
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://c-ares.haxx.se/
Source0:	https://c-ares.haxx.se/download/%{name}-%{version}.tar.gz
# Source0-md5:	bf770c0d3131ec0dd0575a0d2dcab226
Patch0:		%{name}-resolv.conf-reading-is-not-fatal.patch
URL:		https://c-ares.haxx.se/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9.6
# for tests
#BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%description -l pl.UTF-8
c-ares jest napisaną w C biblioteką do asynchronicznego wykonywania
zapytań DNS. c-ares jest to fork biblioteki 'ares' napisanej przez
Grega Hudsona w MIT.

%package devel
Summary:	Development files for c-ares library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki c-ares
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for c-ares library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki c-ares.

%package static
Summary:	Static c-ares library
Summary(pl.UTF-8):	Statyczna biblioteka c-ares
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static c-ares library.

%description static -l pl.UTF-8
Statyczna biblioteka c-ares.

%prep
%setup -q
%patch0 -p1

# we want our own debug flags, if any
%{__sed} -i -e 's/flags_dbg_off=".*"/flags_dbg_off="%{rpmcflags}"/' m4/cares-compilers.m4
%{__sed} -i -e 's/flags_opt_yes=".*"/flags_opt_yes="%{rpmcflags}"/' m4/cares-compilers.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd test
%{__libtoolize}
%{__aclocal} -I ../m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..
%configure \
	--disable-silent-rules \
	--disable-tests \
	--enable-optimize="%{rpmcflags}" \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no external dependencies + obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcares.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE.md NEWS README.cares README.md RELEASE-NOTES TODO
%attr(755,root,root) %{_libdir}/libcares.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcares.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcares.so
%{_includedir}/ares.h
%{_includedir}/ares_build.h
%{_includedir}/ares_dns.h
%{_includedir}/ares_nameser.h
%{_includedir}/ares_rules.h
%{_includedir}/ares_version.h
%{_mandir}/man3/ares_*.3*
%{_pkgconfigdir}/libcares.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcares.a
%changelog
* Wed Oct 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/c-ares.git;a=log;h=master

* Wed Oct 27 2021 Jan Palus <atler@pld-linux.org> 72ccac9
- up to 1.18.1

* Tue Oct 26 2021 Jan Palus <atler@pld-linux.org> 01c3598
- updated required autoconf version

* Tue Oct 26 2021 Jan Palus <atler@pld-linux.org> f701d35
- up to 1.18.0

* Wed Aug 11 2021 Jan Palus <atler@pld-linux.org> 9a225e6
- up to 1.17.2

* Tue Nov 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 0572552
- drop .la file, updated autotools deps; release 2

* Mon Nov 23 2020 Jan Palus <atler@pld-linux.org> ce141f8
- up to 1.17.1 (security fixes)

* Tue Sep 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 232d558
- updated to 1.16.1

* Sun Jul 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 9efa608
- updated to 1.14.0 (fixes CVE-2017-1000381)

* Wed Mar 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 1c79e49
- updated to 1.12.0 (fixes CVE-2016-5180)

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> cb743bc
- updated to 1.11.0
- updated resolv.conf-reading-is-not-fatal patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> ab6ad79
- x32 rebuild
- release 2 (by relup.sh)

* Mon May 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 80c3c68
- updated to 1.10.0

* Mon Jun 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 6acc248
- updated to 1.9.1

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 1fd03af
- updated to 1.8.0

* Sat Aug 20 2011 Jakub Bogusz <qboosh@pld-linux.org> b9206b2
- updated to 1.7.5

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> 14240c5
- Up to 1.7.4

* Sat Jun 12 2010 aredridel <aredridel@pld-linux.org> d522fb6
- 1.7.3

* Sat Jun 05 2010 pawelz <pawelz@pld-linux.org> 1d07c1a
- macros overdoze

* Sat Jun 05 2010 pawelz <pawelz@pld-linux.org> 7a09614
- up to 20100605

* Sun May 23 2010 aredridel <aredridel@pld-linux.org> bf3cdf8
- 1.7.1-post snapshot, for ares_parse_mx etc

